Agora Java API Reference for Android

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
io.agora.rtc2.Constants.VideoSourceType Enum Reference

## Public Member Functions
int | getValue ()

## Static Public Member Functions
static int | getValue (VideoSourceType type)
static VideoSourceType | fromInt (int v)

## Public Attributes
| VIDEO_SOURCE_CAMERA_PRIMARY =(0)
| VIDEO_SOURCE_CAMERA_SECONDARY =(1)
| VIDEO_SOURCE_SCREEN_PRIMARY =(2)
| VIDEO_SOURCE_SCREEN_SECONDARY =(3)
| VIDEO_SOURCE_CUSTOM =(4)
| VIDEO_SOURCE_MEDIA_PLAYER =(5)
| VIDEO_SOURCE_RTC_IMAGE_PNG =(6)
| VIDEO_SOURCE_RTC_IMAGE_JPEG =(7)
| VIDEO_SOURCE_RTC_IMAGE_GIF =(8)
| VIDEO_SOURCE_REMOTE =(9)
| VIDEO_SOURCE_TRANSCODED =(10)
| VIDEO_SOURCE_CAMERA_THIRD =(11)
| VIDEO_SOURCE_CAMERA_FOURTH =(12)
| VIDEO_SOURCE_SPEECH_DRIVEN =(15)
| VIDEO_SOURCE_UNKNOWN =(100)

## Detailed Description

Video source types definition.

## Member Data Documentation

## ◆ VIDEO_SOURCE_CAMERA_PRIMARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_PRIMARY =(0)

Video captured by the camera.

## ◆ VIDEO_SOURCE_CAMERA_SECONDARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_SECONDARY =(1)

Video captured by the secondary camera. Not supported by Android

## ◆ VIDEO_SOURCE_SCREEN_PRIMARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SCREEN_PRIMARY =(2)

Video for screen sharing.

## ◆ VIDEO_SOURCE_SCREEN_SECONDARY

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SCREEN_SECONDARY =(3)

Video for secondary screen sharing. Not supported by Android

## ◆ VIDEO_SOURCE_CUSTOM

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CUSTOM =(4)

Video for external video frame

## ◆ VIDEO_SOURCE_MEDIA_PLAYER

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_MEDIA_PLAYER =(5)

Video for media player sharing.

## ◆ VIDEO_SOURCE_RTC_IMAGE_PNG

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_PNG =(6)

Video for png image. Not supported by Android

## ◆ VIDEO_SOURCE_RTC_IMAGE_JPEG

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_JPEG =(7)

Video for png image. Not supported by Android

## ◆ VIDEO_SOURCE_RTC_IMAGE_GIF

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_RTC_IMAGE_GIF =(8)

Video for png image. Not supported by Android

## ◆ VIDEO_SOURCE_REMOTE

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_REMOTE =(9)

Remote video received from network. Not supported by Android

## ◆ VIDEO_SOURCE_TRANSCODED

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_TRANSCODED =(10)

Video for transcoded. Not supported by Android

## ◆ VIDEO_SOURCE_CAMERA_THIRD

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_THIRD =(11)

Video captured by the third camera.

## ◆ VIDEO_SOURCE_CAMERA_FOURTH

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_CAMERA_FOURTH =(12)

Video captured by the fourth camera.

## ◆ VIDEO_SOURCE_SPEECH_DRIVEN

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_SPEECH_DRIVEN =(15)

Video for voice drive.

## ◆ VIDEO_SOURCE_UNKNOWN

io.agora.rtc2.Constants.VideoSourceType.VIDEO_SOURCE_UNKNOWN =(100)

Not define.